Repository: NotoriousBDG Add-Ons (Node-RED, HA Bridge, and Gogs)

Tags: #<Tag:0x00007f325ff88ca0>

I’ve just added Gogs Git server to my repo. So far it seems to be working pretty good on my Pi to store my Home Assistant configs.

Nodered looks great. Please keep us updated in this thread with your findings.
Thanks!

Hi!

I can’t update from Node-Red 0.1.0 to 0.1.1. The update button just turns red and then nothing happens.
The log does not say anything as well.

Any ideas?

Thanks!

Click on update, then go look at your supervisor log. It’s likely the error explaining what’s happening is there. You can find the logs in the Hass.io panel, click the ellipsis in upper right corner, click Advanced Settings, then click View Logs under Supervisor.

I forgot that is the right log to check, here is the output:
17-08-11 15:10:21 INFO (SyncWorker_5) [hassio.dock] Update docker 0.1.0 with 27e642c6/amd64-addon-nodered:0.1.1
17-08-11 15:10:21 INFO (SyncWorker_5) [hassio.dock.addon] Start build 27e642c6/amd64-addon-nodered:0.1.1 on /data/tmp/27e642c6_nodered
17-08-11 15:10:24 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/aiohttp/web_protocol.py”, line 422, in start
resp = yield from self._request_handler(request)
File “/usr/lib/python3.6/site-packages/aiohttp/web.py”, line 306, in _handle
resp = yield from handler(request)
File “/usr/lib/python3.6/site-packages/hassio/api/util.py”, line 31, in wrap_api
answer = await method(api, *args, **kwargs)
File “/usr/lib/python3.6/site-packages/hassio/api/addons.py”, line 217, in update
addon.update(version=version), loop=self.loop)
File “/usr/lib/python3.6/site-packages/hassio/addons/util.py”, line 33, in wrap_check
return await method(addon, *args, **kwargs)
File “/usr/lib/python3.6/site-packages/hassio/addons/addon.py”, line 492, in update
if not await self.addon_docker.update(version):
File “/usr/lib/python3.6/site-packages/hassio/dock/init.py”, line 247, in update
return await self.loop.run_in_executor(None, self._update, tag)
File “/usr/lib/python3.6/concurrent/futures/thread.py”, line 55, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/lib/python3.6/site-packages/hassio/dock/init.py”, line 260, in _update
if not self._install(tag):
File “/usr/lib/python3.6/site-packages/hassio/dock/addon.py”, line 172, in _install
return self._build(tag)
File “/usr/lib/python3.6/site-packages/hassio/dock/addon.py”, line 206, in _build
path=str(build_dir), tag=build_tag, pull=True)
File “/usr/lib/python3.6/site-packages/docker/models/images.py”, line 175, in build
raise BuildError(chunk[‘error’])
docker.errors.BuildError: The command ‘/bin/sh -c apt-get update && apt-get install -y jq’ returned a non-zero code: 127

Ah, I see what the issue is. The RPi image is based on Debian, which uses apt-get, and the amd64 image is based on Alpine linux, which uses apk. I’ll see what I can do to fix that.

@lajo, can you refresh your addons then attempt to upgrade again? I don’t have hassio on amd64 to test the fix.

I got this error now:

raise BuildError(chunk[‘error’])
docker.errors.BuildError: The command ‘/bin/sh -c ARCH= && dpkgArch="$(dpkg --print-architecture)" && case “${dpkgArch##*-}” in amd64) apk add --no-cache jq;; armhf) apt-get update && apt-get install -y jq;; *) echo “unsupported architecture”; exit 1 ;; esac’ returned a non-zero code: 127

@Lajo, I made another change. Can you retry again?

Works now! Thanks for the speedy work on this!

1 Like

Does anyone have the ha-bridge add on working under an amd64 install?

I can’t seem to get it to install on my ubuntu server setup.

Edit: Never mind - I found the hassio logs, was looking in the wrong place.

17-09-06 22:48:41 ERROR (MainThread) [hassio.addons.addon] Addon 27e642c6_ha-bridge not supported on amd64

I just committed a couple of changes.

Node-RED

  • The addon now uses the host network, which will let you use flows to listen on arbitrary ports (@pickeld).

HA Bridge

  • Supports specifying the server port if you don’t want to tie up tcp/80
  • Support for amd64 platform (@BarryHampants).
2 Likes

Thank you!

I’m having difficulty installing the node-red add-on. Whenever I click the install button, it flashes red and the console shows a server 500 error. This is on a fresh install of HassIO. Any help is greatly appreciated!

Here’s the supervisor log:

17-09-26 20:06:54 INFO (SyncWorker_0) [hassio.dock.supervisor] Attach to supervisor homeassistant/armhf-hassio-supervisor with version 0.64
17-09-26 20:06:54 INFO (MainThread) [hassio.host_control] Send 'info' to HostControl.
17-09-26 20:06:55 INFO (MainThread) [hassio.host_control] Receive from HostControl: { "type": "resinos", "version": "1.1", "last_version": "1.1", "hostname": "hassio", "features": ["shutdown", "reboot", "update", "hostname"], "os": "GNU/Linux" }.
17-09-26 20:06:55 INFO (SyncWorker_0) [hassio.dock.interface] Attach to image homeassistant/raspberrypi3-homeassistant with version 0.54
17-09-26 20:06:55 INFO (MainThread) [hassio.addons.git] Load addon /data/addons/core repository
17-09-26 20:06:55 INFO (MainThread) [hassio.addons.git] Load addon /data/addons/git/27e642c6 repository
17-09-26 20:06:55 INFO (MainThread) [hassio.addons] Load addons: 18 all - 18 new - 0 remove
17-09-26 20:06:55 INFO (SyncWorker_3) [hassio.dock.interface] Attach to image homeassistant/armhf-addon-mosquitto with version 1.0
17-09-26 20:06:55 INFO (SyncWorker_0) [hassio.dock.interface] Attach to image homeassistant/armhf-addon-samba with version 2.0
17-09-26 20:06:55 INFO (SyncWorker_8) [hassio.dock.interface] Attach to image homeassistant/armhf-addon-ssh with version 2.8
17-09-26 20:06:55 INFO (MainThread) [hassio.addons] Startup initialize run 0 addons
17-09-26 20:06:55 INFO (MainThread) [hassio.snapshots] Found 1 snapshot files
17-09-26 20:06:55 INFO (MainThread) [__main__] Start Hassio
17-09-26 20:06:55 INFO (MainThread) [__main__] Run Hassio loop
17-09-26 20:06:55 INFO (MainThread) [hassio.addons.git] Pull addon https://github.com/home-assistant/hassio-addons repository
17-09-26 20:06:55 INFO (MainThread) [hassio.addons.git] Pull addon https://github.com/notoriousbdg/hassio-addons repository
17-09-26 20:06:55 INFO (MainThread) [hassio.dns] Start DNS port forwarding for host add-ons
17-09-26 20:06:55 INFO (MainThread) [hassio.updater] Fetch update data from https://raw.githubusercontent.com/home-assistant/hassio/master/version.json
17-09-26 20:06:56 INFO (MainThread) [hassio.core] Start hassio api on 172.30.32.2
17-09-26 20:06:56 INFO (MainThread) [hassio.addons] Startup system run 1 addons
17-09-26 20:06:56 INFO (SyncWorker_7) [hassio.dock.interface] Clean homeassistant/armhf-addon-mosquitto docker application
17-09-26 20:06:56 INFO (MainThread) [hassio.addons] Load addons: 18 all - 0 new - 0 remove
17-09-26 20:06:59 INFO (SyncWorker_7) [hassio.dock.addon] Start docker addon homeassistant/armhf-addon-mosquitto with version 1.0
17-09-26 20:06:59 INFO (MainThread) [hassio.addons] Startup services run 2 addons
17-09-26 20:06:59 INFO (SyncWorker_15) [hassio.dock.interface] Clean homeassistant/armhf-addon-samba docker application
17-09-26 20:06:59 INFO (SyncWorker_4) [hassio.dock.interface] Clean homeassistant/armhf-addon-ssh docker application
17-09-26 20:07:03 INFO (SyncWorker_15) [hassio.dock.addon] Start docker addon homeassistant/armhf-addon-samba with version 2.0
17-09-26 20:07:04 INFO (SyncWorker_4) [hassio.dock.addon] Start docker addon homeassistant/armhf-addon-ssh with version 2.8
17-09-26 20:07:04 INFO (SyncWorker_0) [hassio.dock.interface] Clean homeassistant/raspberrypi3-homeassistant docker application
17-09-26 20:07:20 INFO (SyncWorker_0) [hassio.dock.homeassistant] Start homeassistant homeassistant/raspberrypi3-homeassistant with version 0.54
17-09-26 20:07:20 INFO (MainThread) [hassio.addons] Startup application run 0 addons
17-09-26 20:08:43 INFO (SyncWorker_0) [hassio.dock.addon] Start build 27e642c6/armhf-addon-nodered:0.1.2
17-09-26 20:08:44 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
  File "/usr/lib/python3.6/http/client.py", line 546, in _get_chunk_left
    chunk_left = self._read_next_chunk_size()
  File "/usr/lib/python3.6/http/client.py", line 513, in _read_next_chunk_size
    return int(line, 16)
ValueError: invalid literal for int() with base 16: b''
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3.6/http/client.py", line 578, in _readinto_chunked
    chunk_left = self._get_chunk_left()
  File "/usr/lib/python3.6/http/client.py", line 548, in _get_chunk_left
    raise IncompleteRead(b'')
http.client.IncompleteRead: IncompleteRead(0 bytes read)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/urllib3/response.py", line 302, in _error_catcher
    yield
  File "/usr/lib/python3.6/site-packages/urllib3/response.py", line 384, in read
    data = self._fp.read(amt)
  File "/usr/lib/python3.6/http/client.py", line 449, in read
    n = self.readinto(b)
  File "/usr/lib/python3.6/http/client.py", line 483, in readinto
    return self._readinto_chunked(b)
  File "/usr/lib/python3.6/http/client.py", line 594, in _readinto_chunked
    raise IncompleteRead(bytes(b[0:total_bytes]))
http.client.IncompleteRead: IncompleteRead(0 bytes read)
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/aiohttp/web_protocol.py", line 422, in start
    resp = yield from self._request_handler(request)
  File "/usr/lib/python3.6/site-packages/aiohttp/web.py", line 306, in _handle
    resp = yield from handler(request)
  File "/usr/lib/python3.6/site-packages/hassio/api/util.py", line 31, in wrap_api
    answer = await method(api, *args, **kwargs)
  File "/usr/lib/python3.6/site-packages/hassio/api/addons.py", line 169, in install
    addon.install(version=version), loop=self.loop)
  File "/usr/lib/python3.6/site-packages/hassio/addons/addon.py", line 437, in install
    if not await self.docker.install(version):
  File "/usr/lib/python3.6/site-packages/hassio/dock/util.py", line 18, in wrap_api
    return await method(api, *args, **kwargs)
  File "/usr/lib/python3.6/concurrent/futures/thread.py", line 55, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/lib/python3.6/site-packages/hassio/dock/addon.py", line 184, in _install
    return self._build(tag)
  File "/usr/lib/python3.6/site-packages/hassio/dock/addon.py", line 197, in _build
    image = self.docker.images.build(**build_env.get_docker_args(tag))
  File "/usr/lib/python3.6/site-packages/docker/models/images.py", line 173, in build
    for chunk in json_stream(resp):
  File "/usr/lib/python3.6/site-packages/docker/utils/json_stream.py", line 66, in split_buffer
    for data in stream_as_text(stream):
  File "/usr/lib/python3.6/site-packages/docker/utils/json_stream.py", line 22, in stream_as_text
    for data in stream:
  File "/usr/lib/python3.6/site-packages/docker/api/client.py", line 302, in _stream_helper
    data = reader.read(1)
  File "/usr/lib/python3.6/site-packages/urllib3/response.py", line 401, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "/usr/lib/python3.6/contextlib.py", line 100, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python3.6/site-packages/urllib3/response.py", line 320, in _error_catcher
    raise ProtocolError('Connection broken: %r' % e, e)
urllib3.exceptions.ProtocolError: ('Connection broken: IncompleteRead(0 bytes read)', IncompleteRead(0 bytes read))

thank you! will test it now

im experiencing the same issue

actually my error is not the same:

17-09-27 19:32:35 INFO (SyncWorker_4) [hassio.dock.addon] Start build 27e642c6/armhf-addon-nodered:0.1.2
17-09-27 19:32:37 ERROR (MainThread) [aiohttp.server] Error handling request
Traceback (most recent call last):
File “/usr/lib/python3.6/site-packages/aiohttp/web_protocol.py”, line 422, in start
resp = yield from self._request_handler(request)
File “/usr/lib/python3.6/site-packages/aiohttp/web.py”, line 306, in _handle
resp = yield from handler(request)
File “/usr/lib/python3.6/site-packages/hassio/api/util.py”, line 31, in wrap_api
answer = await method(api, *args, **kwargs)
File “/usr/lib/python3.6/site-packages/hassio/api/addons.py”, line 169, in install
addon.install(version=version), loop=self.loop)
File “/usr/lib/python3.6/site-packages/hassio/addons/addon.py”, line 437, in install
if not await self.docker.install(version):
File “/usr/lib/python3.6/site-packages/hassio/dock/util.py”, line 18, in wrap_api
return await method(api, *args, **kwargs)
File “/usr/lib/python3.6/concurrent/futures/thread.py”, line 55, in run
result = self.fn(*self.args, **self.kwargs)
File “/usr/lib/python3.6/site-packages/hassio/dock/addon.py”, line 184, in _install
return self._build(tag)
File “/usr/lib/python3.6/site-packages/hassio/dock/addon.py”, line 197, in _build
image = self.docker.images.build(**build_env.get_docker_args(tag))
File “/usr/lib/python3.6/site-packages/docker/models/images.py”, line 175, in build
raise BuildError(chunk[‘error’])
docker.errors.BuildError: Please provide a source image with from prior to commit

That looks like it might be caused by a recent change to how hassio handles add-ons. I’ll see what I can do to fix it.

1 Like

Came here to let you know about this i have the same error for HA-Bridge

Same error. Unable to install on hassio. Thanks for your help and effort helping noobs install this easily through hassio !!!